Subject: [Gen-art] Gen-ART review of draft-ietf-msec-tesla-for-alc-norm-07

From: "McCann Peter-A001034" <[email-masked]>
Date: Fri, 24 Jul 2009 14:25:05 -0400

I have been selected as the General Area Review Team (Gen-ART) reviewer
for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html). 

Please resolve these comments along with any other Last Call comments
you may receive. 

Document: draft-ietf-msec-tesla-for-alc-norm-07
Reviewer: Pete McCann
Review Date: 24 July 2009
IETF LC End Date: 23 July 2009
IESG Telechat date: unknown 

Summary: Almost ready

Major issues: none

Minor issues:

I'd suggest a more prominent reference to RFC 4082, especially
to section 3.1 that describes the basic idea behind TESLA.  You
do have a reference just before Section 1.1, but perhaps you
could add some explanatory text here to make it clear that the
an overview of the use of hash chains to efficiently authenticate
a long stream of packets is described in RFC 4082.

Section 2.4.2.2:

   The sender and receivers use the direct
   time synchronization scheme to synchronize with the various time
   references.
Should this say "indirect time synchronization scheme"?

Nits/editorial comments:

Section 1:

   On the opposite, the ALC protocol
SHOULD BE:
   On the other hand, the ALC protocol

   a appropriate
SHOULD BE:
   an appropriate

Section 2.2.1:

   that TESLA can benefit.
SHOULD BE:
   from which TESLA can benefit.

Section 2.2.2:

   all be able
SHOULD BE:
   all are able

Section 2.3.3:

   will be or not acceptable
SHOULD BE:
   will or will not be acceptable

Section 3.4.1:

   to 1.. 
SHOULD BE:
   to 1.

Section 4.3.2:

   when a receiver receivers packets
SHOULD BE:
   when a receiver receives packets